This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 209423 - Redhat UTF-8 patch to kernel breaks old, non-utf applications
Redhat UTF-8 patch to kernel breaks old, non-utf applications
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brian Brock
:
: 197604 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-05 07:12 EDT by pbialk
Modified: 2014-03-16 23:02 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-26 13:47:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for this issue (4.03 KB, patch)
2006-10-17 15:56 EDT, Bill Nottingham
no flags Details | Diff

  None (edit)
Description pbialk 2006-10-05 07:12:08 EDT
Description of problem:

When I disable UTF-8, console (text mode, framebuffer vga=791) will not display
my national characters, and TUI apps which displays frames looks ugly 

Version-Release number of selected component (if applicable):

2.6.17-1.2187_FC5

How reproducible:
My /etc/sysconfig/i18n looks as follows:
LANG="pl_PL"
SYSFONT="lat2-sun16"
SYSFONTACM="iso02"

Steps to Reproduce:
1. set /etc/sysconfig/i18n as shown above
2. reboot system
3. try to use any console software, e.g. Midnight Commander
  
Actual results:
fonts and tables are unreadable and unusable

Expected results:
software has to work as in older kernels e.g. 2.6.15

Additional info:
The only solution for me at this time is disable redhat patch #2104 and
recompile kernel rpm. so PLEASE DISABLE THIS UGLY PATCH OR FIND A SOLUTION (
kernel parameter or something ) to disable this behaviour

Lot of people still uses old, closed-source, non-UTF applications, and don't
need UTF-8 on text console, so why RedHat will break this?
Comment 1 Dave Jones 2006-10-16 17:00:50 EDT
Bill, this was your idea I believe ? :-)
Comment 2 Dave Jones 2006-10-16 17:09:27 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 3 Bill Nottingham 2006-10-17 15:56:38 EDT
Created attachment 138712 [details]
patch for this issue

Try the attached patches for /etc/profile.d/lang.* and /sbin/setsysfont. Does
this solve the problem for you?
Comment 4 pbialk 2006-10-19 10:07:30 EDT
Yes, attached patch solved my problem. Thank You very much, now everything is OK.

(In reply to comment #3)
> Created an attachment (id=138712) [edit]
> patch for this issue
> 
> Try the attached patches for /etc/profile.d/lang.* and /sbin/setsysfont. Does
> this solve the problem for you?
Comment 5 Bill Nottingham 2006-10-19 12:23:16 EDT
OK, moving to initscripts, will try and get this pushed for FC5.
Comment 6 Fedora Update System 2006-10-19 17:16:26 EDT
initscripts-8.31.6-1 has been pushed for fc5, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 7 Rudolf Ulc 2006-10-23 05:28:56 EDT
*** Bug 197604 has been marked as a duplicate of this bug. ***
Comment 8 Fedora Update System 2006-10-26 13:45:21 EDT
initscripts-8.31.6-1 has been pushed for fc5, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.